Bug 221940 - yum-updates generates email with invalid sender
Summary: yum-updates generates email with invalid sender
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-09 01:47 UTC by Curtis Doty
Modified: 2014-01-21 22:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 19:04:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Curtis Doty 2007-01-09 01:47:35 UTC
If emitting via email, it will send from yum-updatesd@localhost.example.com.
Which is totally invalid for two distinct reasons.

#1 The address yum-updatesd@ is invalid. Use a valid user like root or create an
alias.

#2 Host should already have a name. In this case, it is bozo.example.com. And a
properly configured mailer already knows it's name. So the @localhost needs to
be removed entirely. Of course just using @localhost. (with trailing dot) would
be valid too, although less preferred.

Workaround:
email_from=root
email_to=root

Comment 1 Jeremy Katz 2007-04-25 19:04:47 UTC
Updated the defaults to just be root to let sendmail set the domain itself


Note You need to log in before you can comment on or make changes to this bug.